org.apache.myfaces.trinidad.component

## Class UIXProgress

- java.lang.Object
- - javax.faces.component.UIComponent
  - - org.apache.myfaces.trinidad.component.UIXComponent
    - - org.apache.myfaces.trinidad.component.UIXComponentBase
      - - org.apache.myfaces.trinidad.component.UIXProgress

- All Implemented Interfaces:
    EventListener, javax.faces.component.ActionSource, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder
  Direct Known Subclasses:
    CoreProgressIndicator

      public class UIXProgress
      extends UIXComponentBase
      implements javax.faces.component.ActionSource

  UIXProgress is a base abstraction for components that implement ActionSource and indicate the progress of tasks running in the server, typically navigating to a special page once the task is complete. When the task is complete, an ActionEvent is delivered.

  #### Events:

  Type | Phases | Description
  --- | --- | ---
  `javax.faces.event.ActionEvent` | Any Phase Invoke Application | Event delivered when the "action" of the component has been invoked; for example, by clicking on a button. The action may result in page navigation.
  `org.apache.myfaces.trinidad.event.AttributeChangeEvent` | Invoke Application Apply Request Values | Event delivered to describe an attribute change. Attribute change events are not delivered for any programmatic change to a property. They are only delivered when a renderer changes a property without the application's specific request. An example of an attribute change event might include the width of a column that supported client-side resizing.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.myfaces.trinidad.component.UIXComponentBase

      `UIXComponentBase.ComponentSystemEventListenerWrapper`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static PropertyKey` | `ACTION_KEY`
    `static PropertyKey` | `ACTION_LISTENER_KEY`
    `static String` | `COMPONENT_FAMILY`
    `static String` | `COMPONENT_TYPE`
    `static PropertyKey` | `IMMEDIATE_KEY`
    `static FacesBean.Type` | `TYPE`
    `static PropertyKey` | `VALUE_KEY`

    - ### Fields inherited from class org.apache.myfaces.trinidad.component.UIXComponentBase

      `BINDING_KEY, ID_KEY, RENDERED_KEY, RENDERER_TYPE_KEY, TRANSIENT_KEY`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `UIXProgress()` Construct an instance of the UIXProgress.
    `protected` | `UIXProgress(String rendererType)` Construct an instance of the UIXProgress.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addActionListener(javax.faces.event.ActionListener listener)` Adds a action listener.
    `void` | `broadcast(javax.faces.event.FacesEvent event)`
    `javax.faces.el.MethodBinding` | `getAction()` Gets A reference to an action method sent by the progress component, or the static outcome of an action.
    `javax.faces.el.MethodBinding` | `getActionListener()` Gets A method reference to an action listener.
    `javax.faces.event.ActionListener[]` | `getActionListeners()` Returns an array of attached action listeners.
    `protected FacesBean.Type` | `getBeanType()`
    `String` | `getFamily()`
    `Object` | `getValue()` Gets The data model being used by this progress component.
    `boolean` | `isImmediate()` Gets whether data validation - client-side or server-side - will be skipped when events are generated by this component.
    `void` | `queueEvent(javax.faces.event.FacesEvent e)`
    `void` | `removeActionListener(javax.faces.event.ActionListener listener)` Removes a action listener.
    `void` | `setAction(javax.faces.el.MethodBinding action)` Sets A reference to an action method sent by the progress component, or the static outcome of an action.
    `void` | `setActionListener(javax.faces.el.MethodBinding actionListener)` Sets A method reference to an action listener.
    `void` | `setImmediate(boolean immediate)` Sets whether data validation - client-side or server-side - will be skipped when events are generated by this component.
    `void` | `setValue(Object value)` Sets The data model being used by this progress component.

    - ### Methods inherited from class org.apache.myfaces.trinidad.component.UIXComponentBase

      `adaptMethodBinding, addAttributeChange, addAttributeChangeListener, addClientBehavior, addComponentChange, addComponentChange, addComponentChangeFilter, addFacesListener, broadcastToMethodBinding, broadcastToMethodExpression, clearCachedClientIds, clearInitialState, createFacesBean, decode, decodeChildren, decodeChildrenImpl, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributeChangeListener, getAttributeChangeListeners, getAttributes, getBooleanProperty, getChildCount, getChildren, getClientBehaviors, getClientId, getComponentChangeFilters, getContainerClientId, getDefaultEventName, getFacesBean, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacetNames, getFacets, getFacetsAndChildren, getId, getIntProperty, getLifecycleRenderer, getListenersForEventClass, getParent, getProperty, getPropertyKey, getRenderedFacetsAndChildren, getRenderer, getRendererType, getRendersChildren, getValueBinding, getValueExpression, initialStateMarked, invokeOnChildrenComponents, invokeOnComponent, invokeOnNamingContainerComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, removeAttributeChangeListener, removeComponentChangeFilter, removeFacesListener, restoreState, satisfiesPartialTrigger, saveState, setAttributeChangeListener, setAttributeChangeListener, setBooleanProperty, setId, setIntProperty, setParent, setProperty, setRendered, setRendererType, setTransient, setupFlattenedChildrenContext, setupFlattenedContext, setValueBinding, setValueExpression, subscribeToEvent, tearDownFlattenedChildrenContext, tearDownFlattenedContext, toString, unsubscribeFromEvent, updateChildren, updateChildrenImpl, validateChildren, validateChildrenImpl`

    - ### Methods inherited from class org.apache.myfaces.trinidad.component.UIXComponent

      `addPartialTarget, broadcastInContext, clearCachedClientIds, defaultGetRenderedFacetsAndChildren, encodeFlattenedChild, encodeFlattenedChildren, getLogicalParent, getLogicalParent, getStateHelper, getStateHelper, isVisitable, partialEncodeVisit, processFlattenedChildren, processFlattenedChildren, processFlattenedChildren, processFlattenedChildren, setPartialTarget, setupChildrenEncodingContext, setupChildrenVisitingContext, setupEncodingContext, setUpEncodingContext, setupVisitingContext, tearDownChildrenEncodingContext, tearDownChildrenVisitingContext, tearDownEncodingContext, tearDownVisitingContext, visitAllChildren, visitChildren, visitChildren, visitTree, visitTree`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getTransientStateHelper, getTransientStateHelper, isCompositeComponent, isInView, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### TYPE

          public static final FacesBean.Type TYPE

    - #### VALUE_KEY

          public static final PropertyKey VALUE_KEY

    - #### ACTION_KEY

          public static final PropertyKey ACTION_KEY

    - #### ACTION_LISTENER_KEY

          public static final PropertyKey ACTION_LISTENER_KEY

    - #### IMMEDIATE_KEY

          public static final PropertyKey IMMEDIATE_KEY

    - #### COMPONENT_FAMILY

          public static final String COMPONENT_FAMILY

      See Also:
        Constant Field Values

    - #### COMPONENT_TYPE

          public static final String COMPONENT_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### UIXProgress

          public UIXProgress()

      Construct an instance of the UIXProgress.

    - #### UIXProgress

          protected UIXProgress(String rendererType)

      Construct an instance of the UIXProgress.

  - ### Method Detail

    - #### queueEvent

          public void queueEvent(javax.faces.event.FacesEvent e)

      Overrides:
        `queueEvent` in class `UIXComponentBase`

    - #### broadcast

          public void broadcast(javax.faces.event.FacesEvent event)
                         throws javax.faces.event.AbortProcessingException

      Overrides:
        `broadcast` in class `UIXComponentBase`
      Throws:
        `javax.faces.event.AbortProcessingException`

    - #### getValue

          public final Object getValue()

      Gets The data model being used by this progress component. The model should be of type org.apache.myfaces.trinidad.model.BoundedRangeModel.
      Returns:
        the new value value

    - #### setValue

          public final void setValue(Object value)

      Sets The data model being used by this progress component. The model should be of type org.apache.myfaces.trinidad.model.BoundedRangeModel.
      Parameters:
        `value` - the new value value

    - #### getAction

          public final javax.faces.el.MethodBinding getAction()

      Gets A reference to an action method sent by the progress component, or the static outcome of an action. This is invoked when the task under progress is complete.
      Specified by:
        `getAction` in interface `javax.faces.component.ActionSource`
      Returns:
        the new action value

    - #### setAction

          public final void setAction(javax.faces.el.MethodBinding action)

      Sets A reference to an action method sent by the progress component, or the static outcome of an action. This is invoked when the task under progress is complete.
      Specified by:
        `setAction` in interface `javax.faces.component.ActionSource`
      Parameters:
        `action` - the new action value

    - #### getActionListener

          public final javax.faces.el.MethodBinding getActionListener()

      Gets A method reference to an action listener. This is invoked after the task in progress is complete.
      Specified by:
        `getActionListener` in interface `javax.faces.component.ActionSource`
      Returns:
        the new actionListener value

    - #### setActionListener

          public final void setActionListener(javax.faces.el.MethodBinding actionListener)

      Sets A method reference to an action listener. This is invoked after the task in progress is complete.
      Specified by:
        `setActionListener` in interface `javax.faces.component.ActionSource`
      Parameters:
        `actionListener` - the new actionListener value

    - #### isImmediate

          public final boolean isImmediate()

      Gets whether data validation - client-side or server-side - will be skipped when events are generated by this component. When immediate is true, the command's action and ActionListeners, including the default ActionListener provided by the JavaServer Faces implementation, will be executed during Apply Request Values phase of the request processing lifecycle, rather than waiting until the Invoke Application phase. Because validation runs during Process Validators (after Apply Request Values, but before Invoke Application), setting immediate to true will skip validation.
      Specified by:
        `isImmediate` in interface `javax.faces.component.ActionSource`
      Returns:
        the new immediate value

    - #### setImmediate

          public final void setImmediate(boolean immediate)

      Sets whether data validation - client-side or server-side - will be skipped when events are generated by this component. When immediate is true, the command's action and ActionListeners, including the default ActionListener provided by the JavaServer Faces implementation, will be executed during Apply Request Values phase of the request processing lifecycle, rather than waiting until the Invoke Application phase. Because validation runs during Process Validators (after Apply Request Values, but before Invoke Application), setting immediate to true will skip validation.
      Specified by:
        `setImmediate` in interface `javax.faces.component.ActionSource`
      Parameters:
        `immediate` - the new immediate value

    - #### addActionListener

          public final void addActionListener(javax.faces.event.ActionListener listener)

      Adds a action listener.
      Specified by:
        `addActionListener` in interface `javax.faces.component.ActionSource`
      Parameters:
        `listener` - the action listener to add

    - #### removeActionListener

          public final void removeActionListener(javax.faces.event.ActionListener listener)

      Removes a action listener.
      Specified by:
        `removeActionListener` in interface `javax.faces.component.ActionSource`
      Parameters:
        `listener` - the action listener to remove

    - #### getActionListeners

          public final javax.faces.event.ActionListener[] getActionListeners()

      Returns an array of attached action listeners.
      Specified by:
        `getActionListeners` in interface `javax.faces.component.ActionSource`
      Returns:
        an array of attached action listeners.

    - #### getFamily

          public String getFamily()

      Specified by:
        `getFamily` in class `UIXComponentBase`

    - #### getBeanType

          protected FacesBean.Type getBeanType()

      Overrides:
        `getBeanType` in class `UIXComponentBase`

Copyright © 2001-2017 The Apache Software Foundation. All Rights Reserved.